Name:		pciutils
Version:	2.1.8
Release:        3tr
Source:		ftp://ftp.kernel.org/pub/software/utils/pciutils/pciutils-%{version}.tar.gz
Patch: 		pciutils-werror.patch
Patch2:		pciutils-bufsiz.patch
patch3:         pciutils-2.1.4-no-kernel-include.patch
Copyright:	GNU GPL
Buildroot: 	/tmp/%{name}-%{version}-root
ExclusiveOS: 	Linux
ExcludeArch:	armv4l
Requires:	kernel >= 2.2
Summary: Linux PCI utilities.
Group: System/Base

%description
This package contains various utilities for inspecting and setting
devices connected to the PCI bus. The utilities provided require
kernel version 2.1.82 or newer (supporting the /proc/bus/pci
interface).

%package devel
Summary: Linux PCI development library.
Group: Libraries/Development

%description devel
This package contains a library for inspecting and setting
devices connected to the PCI bus.

%prep
%setup -q
%patch -p1 -b .werror
%patch2 -p1 -b .bufsiz
#%patch3 -p1 -b .nokernel

%build
make OPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{sbin,/usr/share/man/man8,/usr/lib,/usr/include/pci}

install -s lspci setpci $RPM_BUILD_ROOT/sbin
install lspci.8 setpci.8 $RPM_BUILD_ROOT/usr/share/man/man8
install pci.ids $RPM_BUILD_ROOT/usr/share
install lib/libpci.a $RPM_BUILD_ROOT/usr/lib
install lib/pci.h $RPM_BUILD_ROOT/usr/include/pci
install lib/header.h $RPM_BUILD_ROOT/usr/include/pci
install lib/config.h $RPM_BUILD_ROOT/usr/include/pci

%files
%defattr(0644, root, root, 0755)
%attr(0644, root, man) /usr/share/man/man8/*
%attr(0755, root, root) /sbin/*
%config /usr/share/pci.ids
%doc README ChangeLog pciutils.lsm

%files devel
%defattr(0644, root, root)
/usr/lib/libpci.a
/usr/include/pci/*.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 14 2000 Per Ivar Paulsen <perp@trustix.com>
- Picked up 2.1.8. Removed no-kernel patch.

* Wed Mar 29 2000 Lars Gaarden <larsg@trustix.com>
- Moved man pages to /usr/share, FHS.

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Mon Jan 24 2000 Bill Nottingham <notting@redhat.com>
- update to 2.1.4

* Thu Jan 20 2000 Bill Nottingham <notting@redhat.com>
- update to 2.1.3

* Fri Dec 24 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1.2

* Tue Jun 29 1999 Bill Nottingham <notting@redhat.com>
- add -devel package

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0

* Mon Apr 19 1999 Jakub Jelinek  <jj@ultra.linux.cz>
- update to 1.99.5
- fix sparc64 operation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Feb  4 1999 Bill Nottingham <notting@redhat.com>
- initial build
